import { initializeApp } from "firebase/app";
import { getAuth } from "firebase/auth";

// TODO: Replace the following with your app's Firebase project configuration
const firebaseConfig = JSON.parse(
  window.api.isTest()
    ? import.meta.env.VITE_FIREBASE_CONFIG_TEST
    : import.meta.env.VITE_FIREBASE_CONFIG,
);

const app = initializeApp(firebaseConfig);
export const auth = getAuth();

export default app;
